dpkg-scanpackages(1)

NOM
dpkg-scanpackages - créer des fichiers d'index de paquets.

SYNOPSIS
dpkg-scanpackages [option...] rep-de-binaires [fichier-d'override [chemin-à-préfixer]] > Packages

DESCRIPTION
dpkg-scanpackages trie une arborescence contenant des paquets binaires Debian et crée un fichier « Packages » qui permettra à apt(8), dselect(1), ou à un autre programme, de savoir quels sont les paquets installables. Ces fichiers « Packages » sont semblables à ceux qu'on peut trouver sur les sites d'archives Debian ou sur des CD. Quand on crée un répertoire contenant des paquets qu'on veut installer sur un ensemble de machines, on peut se servir soi-même de dpkg-scanpackages.

Note: If you want to access the generated Packages file with apt you will probably need to compress the file with xz(1) (generating a Packages.xz file), bzip2(1) (generating a Packages.bz2 file) or gzip(1) (generating a Packages.gz file). apt ignores uncompressed Packages files except on local access (i.e. file:// sources).

rep-de-binaires est le nom de l'arborescence des paquets binaires (par exemple contrib/binary-i386) que l'on veut traiter. Il vaut mieux qu'elle soit relative à la racine de l'archive Debian ; ainsi chaque champ « Filename » dans le nouveau fichier « Packages » commencera par cette chaîne.

override-file is the name of a file to read which contains information about how the package fits into the distribution (the file can be compressed since dpkg 1.15.5); see deb-override(5).

chemin-à-préfixer est une chaîne facultative qui préfixera les champs « Filename ».

S'il existe plusieurs versions d'un paquet, seule la plus récente est affichée en sortie. Si les paquets ont la même version mais diffèrent par l'architecture, seul le premier trouvé est utilisé.

OPTIONS

-t, --type type
    Recherche des fichiers *.type, plutôt que *.deb.

-e, --extra-override fichier
    Scan file to find supplementary overrides (the file can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-a, --arch arch
    Utilise un motif équivalent à *_all.deb et à *_arch.deb, plutôt que de rechercher tous les fichiers debs.

-h, --hash liste-de-hachage
    Only generate file hashes for the comma-specified list specified (since dpkg 1.17.14). The default is to generate all currently supported hashes. Supported values: md5, sha1, sha256.

-m, --multiversion
    Affiche tous les paquets trouvés en sortie.

-M, --medium id-chaîne
    Add an X-Medium field containing the value id-string (since dpkg 1.15.5). This field is required if you want to generate Packages.cd files for use by the multicd access method of dselect.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

DIAGNOSTICS
dpkg-scanpackages affiche les erreurs habituelles qui se comprennent d'elles-mêmes. Il affiche aussi des avertissements quand des paquets sont dans un mauvais sous-répertoire, existent en double exemplaire, ont des champs « Filename » dans leur fichier « control », sont absents du fichier « override » ou bien dont les substitutions de responsable ne peuvent pas s'appliquer.

VOIR AUSSI
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.